<html>
<head>
<title>OgreOSXCarbonWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_9005b09f6816560d7c0bc7177f4b3a7b.html">OSX</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreOSXCarbonWindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreOSXCarbonWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __OSXCarbonWindow_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __OSXCarbonWindow_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="comment">// 64-bit Mac OS X doesn&#39;t support Carbon UI API</span>
<a name="l00033"></a>00033 <span class="preprocessor">#ifndef __LP64__</span>
<a name="l00034"></a>00034 <span class="preprocessor"></span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreOSXWindow_8h.html">OgreOSXWindow.h</a>&quot;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreOSXCarbonContext_8h.html">OgreOSXCarbonContext.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreOSXCGLContext_8h.html">OgreOSXCGLContext.h</a>&quot;</span>
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre 
<a name="l00041"></a>00041 {
<a name="l00042"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html">00042</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1OSXCarbonWindow.html">OSXCarbonWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1OSXWindow.html">OSXWindow</a>
<a name="l00043"></a>00043     {
<a name="l00044"></a>00044     <span class="keyword">public</span>:
<a name="l00045"></a>00045         <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a9ca2cd4c71f06ffa942918282baf1cee">OSXCarbonWindow</a>();
<a name="l00046"></a>00046         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a77f4076ff29d7950d46ce16c0a7a6ed7">~OSXCarbonWindow</a>();
<a name="l00047"></a>00047         
<a name="l00048"></a>00048         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#abd36903d5b8ac06cc659adbf7a179488" title="Overridden - see RenderWindow.">create</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00049"></a>00049                 <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams );
<a name="l00051"></a>00051         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#aef9819a82dd48c3dea63ec32dafe4ed7" title="Overridden - see RenderWindow.">destroy</a>( <span class="keywordtype">void</span> );
<a name="l00053"></a>00053         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a454e2415afe8e13d9c12dcc3467265e6" title="Overridden - see RenderWindow.">isActive</a>( <span class="keywordtype">void</span> ) <span class="keyword">const</span>;
<a name="l00055"></a>00055         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#ae2f08664051c79a42ffc8cbc774501dd" title="Overridden - see RenderWindow.">isClosed</a>( <span class="keywordtype">void</span> ) <span class="keyword">const</span>;
<a name="l00057"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a8fcff5f241c53979737733c47f1f54ed">00057</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a8fcff5f241c53979737733c47f1f54ed">isHidden</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#af950782e00d818ab73287844ed9d1a2f">mHidden</a>; }
<a name="l00059"></a>00059         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a5d56725a5e3f99db710674f4a9dec508">setHidden</a>(<span class="keywordtype">bool</span> hidden);
<a name="l00061"></a>00061         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#af6cd55be685f133d00d0e38afa767012">setVSyncEnabled</a>(<span class="keywordtype">bool</span> vsync);
<a name="l00063"></a>00063         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a754875b4e7520ee4f60a68a917e7a4ba">isVSyncEnabled</a>() <span class="keyword">const</span>;
<a name="l00065"></a>00065         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#ae392d96fc62c30489abc962b2df48c14" title="Overridden - see RenderWindow.">reposition</a>( <span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top );
<a name="l00067"></a>00067         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a82b4da4797dadf47b5685d1554489ebd" title="Overridden - see RenderWindow.">resize</a>( <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height );
<a name="l00069"></a>00069         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#ace333fdb199e1fec7b8a2cd2808c8bd5" title="Overridden - see RenderWindow.">setVisible</a>( <span class="keywordtype">bool</span> visible );
<a name="l00071"></a>00071         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a8b5e4bc85337d23d8ed8d7923d305b54" title="Overridden - see RenderWindow.">isVisible</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00073"></a>00073         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a49c173aa0c184fead3e03d73eaad1715" title="Overridden - see RenderWindow.">swapBuffers</a>( <span class="keywordtype">bool</span> waitForVSync );
<a name="l00075"></a>00075         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a80afe20758f2bc6a3c6ba5fa3ce345ae" title="Overridden - see RenderWindow.">setFullscreen</a>(<span class="keywordtype">bool</span> fullScreen, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);
<a name="l00077"></a>00077         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#afca5f84c88e667afadc0f0d63c0050f2" title="Overridden - see RenderTarget.">windowMovedOrResized</a>();
<a name="l00078"></a>00078 
<a name="l00079"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a0e9c2759565d50df22c041e391421b59">00079</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a0e9c2759565d50df22c041e391421b59">requiresTextureFlipping</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00080"></a>00080         
<a name="l00081"></a>00081         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a80ab669ac29c5beb2530e1ae2f8764c8">windowResized</a>(<span class="keywordtype">void</span>);
<a name="l00082"></a>00082         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a44b1d6c7c83d044eea3317f648af8e28">windowHasResized</a>(<span class="keywordtype">void</span>);
<a name="l00083"></a>00083         
<a name="l00084"></a>00084         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a0b8be6cb5d2ecc72435921aa1d4593bd" title="Gets a custom (maybe platform-specific) attribute.">getCustomAttribute</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData );
<a name="l00085"></a>00085 
<a name="l00086"></a>00086     <span class="keyword">private</span>:
<a name="l00087"></a>00087         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a7d7ff8c9c83a8ee9bba49a70503d9cc8">createNewWindow</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height, <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> title);
<a name="l00088"></a>00088         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a90aa45096eeb32299ecfa6e49ac6121f">createWindowFromExternal</a>(HIViewRef viewRef);
<a name="l00089"></a>00089         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a8a0bf8a9a9a43558bc67688a2fa58263">createAGLContext</a>(<span class="keywordtype">size_t</span> fsaa_samples, <span class="keywordtype">int</span> depth);
<a name="l00090"></a>00090 
<a name="l00091"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a097d647ec0a852d2369a635e299c83a0">00091</a>         WindowRef <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a097d647ec0a852d2369a635e299c83a0">mWindow</a>;
<a name="l00092"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#aa443cd9767fcf608a7ec266ba05e3ad6">00092</a>         EventHandlerRef <a class="code" href="classOgre_1_1OSXCarbonWindow.html#aa443cd9767fcf608a7ec266ba05e3ad6">mEventHandlerRef</a>;
<a name="l00093"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#ac2025454fcaa96ab766411b0f905c415">00093</a>         HIViewRef <a class="code" href="classOgre_1_1OSXCarbonWindow.html#ac2025454fcaa96ab766411b0f905c415">mView</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a9c56b06232a970f7f6af7900f5c4128f">00094</a>         AGLContext <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a9c56b06232a970f7f6af7900f5c4128f">mAGLContext</a>;
<a name="l00095"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a2c44d80b70749e67250f26ff7e93f9fb">00095</a>         AGLPixelFormat <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a2c44d80b70749e67250f26ff7e93f9fb">mAGLPixelFormat</a>;
<a name="l00096"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#aab1b7c2f4acc3d03b48e705a1b233bdc">00096</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#aab1b7c2f4acc3d03b48e705a1b233bdc">mWindowTitle</a>;
<a name="l00097"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a03b25ee8c30f631e7df66a737aef07bf">00097</a>         <a class="code" href="classOgre_1_1OSXCGLContext.html">OSXCGLContext</a>* <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a03b25ee8c30f631e7df66a737aef07bf">mCGLContext</a>;
<a name="l00098"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a0b8c3eb72769448abe19a31691d47aca">00098</a>         <a class="code" href="classOgre_1_1OSXCarbonContext.html">OSXCarbonContext</a>* <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a0b8c3eb72769448abe19a31691d47aca">mCarbonContext</a>;
<a name="l00099"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#aa42874739883ebee06d3d8be731ae1f6">00099</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#aa42874739883ebee06d3d8be731ae1f6">mVSync</a>;
<a name="l00100"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#adc63532270ee667f1d6ccf119c0d5e08">00100</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#adc63532270ee667f1d6ccf119c0d5e08">mActive</a>;
<a name="l00101"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#af0af5c2c2c275567b8c3658ffca75190">00101</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#af0af5c2c2c275567b8c3658ffca75190">mClosed</a>;
<a name="l00102"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#af950782e00d818ab73287844ed9d1a2f">00102</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#af950782e00d818ab73287844ed9d1a2f">mHidden</a>;
<a name="l00103"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#ae873a5b124a18c933175d7c69ddfe5f4">00103</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#ae873a5b124a18c933175d7c69ddfe5f4">mCreated</a>;
<a name="l00104"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a3b790f53ea14851ac8d527ba9d11d2b0">00104</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a3b790f53ea14851ac8d527ba9d11d2b0">mHasResized</a>;
<a name="l00105"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#a9bda4569b5fa1c85a85e2a1b765714d7">00105</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#a9bda4569b5fa1c85a85e2a1b765714d7">mIsExternal</a>;
<a name="l00106"></a><a class="code" href="classOgre_1_1OSXCarbonWindow.html#aaf8e6a3df3189a688e2fa3f15564d3a0">00106</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1OSXCarbonWindow.html#aaf8e6a3df3189a688e2fa3f15564d3a0">mVisible</a>;
<a name="l00107"></a>00107     };
<a name="l00108"></a>00108 }
<a name="l00109"></a>00109 
<a name="l00110"></a>00110 <span class="preprocessor">#endif // __LP64__</span>
<a name="l00111"></a>00111 <span class="preprocessor"></span>
<a name="l00112"></a>00112 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
